Skip to content

httpRequestSchema

const httpRequestSchema: object

The JSON Schemas those models were generated from, for runtime use.

readonly $id: "https://schemas.inderun.dev/1.0/http-request.schema.json"

readonly $schema: "https://json-schema.org/draft/2020-12/schema"

readonly additionalProperties: true

readonly description: "Normalized HTTP request payload for host-provided cloud transport."

readonly properties: object

readonly body: object

readonly description: "Optional serialized request body. For JSON APIs this should be a JSON string."

readonly type: "string"

readonly headers: object

readonly additionalProperties: object

properties.headers.additionalProperties.type

Section titled “properties.headers.additionalProperties.type”

readonly type: "string"

readonly description: "HTTP headers to send after the provider adapter has applied any required transport-level credentials."

readonly type: "object"

readonly method: object

readonly description: "HTTP method to use for the request."

readonly enum: readonly ["GET", "POST", "PUT", "DELETE", "PATCH"]

readonly timeoutMs: object

readonly description: "Optional maximum duration for the host transport attempt in milliseconds."

readonly minimum: 1

readonly type: "integer"

readonly url: object

readonly description: "Absolute target URL for the provider transport request."

readonly minLength: 1

readonly type: "string"

readonly required: readonly ["method", "url"]

readonly title: "HttpRequest"

readonly type: "object"